using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 自动路径策略
/// </summary>
public enum EPathPolicy
{
    [Description("不支持")]
    None = 0,

    /// <summary>
    /// 当前办理人的直属上级
    /// </summary>
    [Description("直属上级部门")]
    DirectUpper = 1,

    /// <summary>
    /// 当前办理人的直属上级（中心看作一级部门的上级部门）
    /// </summary>
    [Description("直属上级部门（中心看作一级部门的上级）")]
    DirectUpperCenterIsTop = 2,
}